Skip to content

Retrieves a POS transaction by ID

Request

GET {{baseURL}}/v2/pos/transactions/{{posTransactionId}}

This endpoint retrieves a POS transaction by ID.

See Also:
To list POS transactions, see GET /v2/pos/transactions.
To create a new POS transaction, see POST /v2/pos/transactions.
To cancel a POS transaction, see POST /v2/pos/transactions/{posTransactionId}/cancel.

Security
Bearer
Path
posTransactionIdstring, (uuid)required

Specifies the POS transaction identifier.

Example:361c152f-72fa-4654-84f1-a664584ce3de
Query
waitForTransactionProcessingboolean

Specifies the long poll for the transaction to reach a completed status before responding.

This could be success, failure, or cancellation.

If true, the response is held until completion or timeout.
If false, the response returns immediately. The endpoint GET /pos/transactions/{{posTransactionId}} must be called for updates.

Default:false
Example:waitForTransactionProcessing=false
curl -i -X GET \
  'https://sandbox.api.flute.com/v2/pos/transactions/361c152f-72fa-4654-84f1-a664584ce3de?waitForTransactionProcessing=false' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
posTransactionIdstring, (uuid)

Indicates the POS transaction identifier.

Example: 201cc2fb-d9bd-4cc6-a254-b913f9a6b358

Example:"201cc2fb-d9bd-4cc6-a254-b913f9a6b358"
createdOnstring, (date-time)

Indicates the date-time (in an ISO 8601 UTC date-time format) the POS payment method was created on.

Example: 2026-01-15T10:30:56.264Z

Example:"2026-01-15T10:30:56.264Z"
modifiedOnstring, (date-time)

Indicates the date-time (in an ISO 8601 UTC date-time format) the POS payment method was last modified on.

Example: 2026-03-15T10:30:56.264Z

Example:"2026-01-15T10:30:56.264Z"
merchantIdstring, (uuid)

Identifies the merchant identifier.

Example: 5611f824-48ef-4255-978d-91ce13953bbd

Example:"5611f824-48ef-4255-978d-91ce13953bbd"
customerIdstring or null, (uuid)

Identifies the customer to link this payment method to.

This value may be null when this payment method is an orphan owned by the merchant directly. An orphan payment method is a payment method in the merchant's vault but has no customer record associated with it.

Example: 8fa8e727-73c6-436e-b56f-6f55aabf3b1c

Example:"8fa8e727-73c6-436e-b56f-6f55aabf3b1c"
terminalIdstring, (uuid)

Indicates the terminal identifier handling the POS transaction.

Example: 9e617a7e-5a7b-415f-abbb-8df16dd2e64f

Example:"9e617a7e-5a7b-415f-abbb-8df16dd2e64f"
paymentProcessorIdstring or null, (uuid)

Identifies the payment processor.

Defaults to merchant's default processor.

Example: 76215e54-a85b-4d42-9553-163fe393cb02

Example:"76215e54-a85b-4d42-9553-163fe393cb02"
posDeviceIdstring or null, [ 1 .. 36 ] characters

Indicates the external POS terminal identifier.

Example: POS-DEVICE-001

Example:"POS-DEVICE-001"
referenceIdstring or null, [ 0 .. 36 ] characters

Indicates a reference identifier provided by the merchant.

This is included in the duplicate-check key. It allows the same card and amount combination to be charged multiple times when the reference identifiers are different.

Example: REF-EXT-12345

Example:"REF-EXT-12345"
posTransactionStatusstring

Indicates the status of the transaction.

Valid values are:

ValueDescription
CancelledThe POS transaction was canceled before it completed.
CompletedThe POS transaction finished processing successfully.
FailedThe POS transaction did not complete because of an error.
InProgressThe POS transaction is still being processed.

Example: Completed

Enum:"Cancelled""Completed""Failed""InProgress"
Example:"Completed"
captureMethodstring

Identifies the capture method.

Capture is the step that converts an authorization, funds reserved before a transaction, into an actual charge or funds captured for settlement.

Possible values:

ValueDescription
AutoThe transaction is captured automatically at the same time as authorization or immediately after, with no separate action required.
ManualThe transaction has been authorized. However, an explicit capture request must be made later to actually allocate the money.

Care must be taken because if the transaction is never captured, the authorization simply expires and no funds move.

Example: Auto

Default:"Auto"
Enum:"Auto""Manual"
Example:"Auto"
transactionIdstring or null, (uuid)

Indicates the attached transaction identifier.

This value is available after processing.

Example: f01339ec-8184-48c7-b58d-0780d6499ef4

Example:"f01339ec-8184-48c7-b58d-0780d6499ef4"
baseAmountnumber or null, (double), decimal places <= 2, >= 0.01

Identifies the base transaction amount (in USD) before adjustments.

Examples:
125
125.5
125.50

Example:125.5
processedAmountnumber or null, (double), decimal places <= 2

Indicates the transaction amount (in USD).

The value will be null until the transaction is completed.

Example: 87.39

Example:87.39
currencyCodestring or null

Identifies the transaction's currency code (in uppercase ISO 4217 currency code).

Example: USD

Default:"USD"
Example:"USD"
extraAmountsobject or null

Identifies the extra amounts for the transaction.

To accept tips, the merchant is required to have tips enabled and tip-adjustment disabled. If tip collection is enabled and committed at creation time, the tip gets prompted to the customer directly on the device.

linkedTransactionobject

Indicates an object detailing the related POS transaction.

This value will be null until the transaction is completed.

Response
{ "posTransactionId": "51efbd85-3e2b-459c-87d0-34f4c046a21f", "createdOn": "2026-06-03T21:59:31.891Z", "merchantId": "746ba4dd-b1b4-47c3-a034-72aa55007e86", "terminalId": "a84af02c-6de3-40ac-abda-0d8db96dec7b", "paymentProcessorId": "451e4f53-9d81-48d8-a7c4-8167595adffa", "posDeviceId": "POS-DEVICE-001", "referenceId": "REF-12345", "status": "Completed", "transactionId": "7a62ba78-c4e2-4317-bc4e-c90a9d169107", "processedAmount": 135.5, "currencyCode": "USD", "targetTransactionId": null }